Subject: Re: bug#15630: Acknowledgement (grep 2.14 much slower than 2.5.1)

From: "Z. Majeed" <[email-masked]>
Date: Wed, 16 Oct 2013 12:20:15 -0700 (PDT)

I see the reason is the workaround in do_execute that turns on line-by-line matching for -i across the board - I got runtime confirmation by trying "<name>.*[rR][uU][sS][sS][iI][aA]" - the times were faster than for grep 2.5.1 with -i:
3.59user 2.95system 0:06.55elapsed

I'm not sure if the workaround is for the -i problem in UTF-8 locales discussed in http://savannah.gnu.org/bugs/?29391. This bug report really should be titled "--ignore-case very slow in grep 2.14"

Zartaj

________________________________
 From: GNU bug Tracking System <[email-masked]>
To: Z. Majeed <[email-masked]> 
Sent: Wednesday, October 16, 2013 10:11 AM
Subject: bug#15630: Acknowledgement (grep 2.14 much slower than 2.5.1)

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
[email-masked]

If you wish to submit further information on this problem, please
send it to [email-masked].

Please do not send mail to [email-masked] unless you wish
to report a problem with the Bug-tracking system.

-- 
15630: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15630
GNU Bug Tracking System
Contact [email-masked] with problems